Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer
Class PicoException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.picocontainer.PicoException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AbstractPicoVisitor.PicoVisitorTraversalException, LifecycleComponentMonitor.LifecycleFailuresException, PicoClassNotFoundException, PicoCompositionException, PicoLifecycleException, PicoVerificationException, ReflectionLifecycleException

    public abstract class PicoException

extends RuntimeException

Superclass for all Exceptions in PicoContainer. You can use this if you want to catch all exceptions thrown by PicoContainer. Be aware that some parts of the PicoContainer API will also throw `NullPointerException` when `null` values are provided for method arguments, and this is not allowed.

Author:
  Paul Hammant, Aslak Hellesøy
See Also:
  Serialized Form

Constructor Summary
`protected` | `PicoException()` Construct a new exception with no cause and no detail message.
`protected` | `PicoException(String message)` Construct a new exception with no cause and the specified detail message.
`protected` | `PicoException(String message, Throwable cause)` Construct a new exception with the specified cause and the specified detail message.
`protected` | `PicoException(Throwable cause)` Construct a new exception with the specified cause and no detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PicoException

    protected PicoException()

  Construct a new exception with no cause and no detail message. Note modern JVMs may still track the exception that caused this one.

### PicoException

    protected PicoException(String message)

  Construct a new exception with no cause and the specified detail message. Note modern JVMs may still track the exception that caused this one.

  Parameters:
    `message` - the message detailing the exception.

### PicoException

    protected PicoException(Throwable cause)

  Construct a new exception with the specified cause and no detail message.

  Parameters:
    `cause` - the exception that caused this one.

### PicoException

    protected PicoException(String message,
                            Throwable cause)

  Construct a new exception with the specified cause and the specified detail message.

  Parameters:
    `message` - the message detailing the exception.
    `cause` - the exception that caused this one.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.